# Quick Start

<div class="warning">

Before proceeding, make sure you followed [Prerequisites](./prerequisites.md).\
Also you need to carefully read the [End User Lincense Agreement](https://detee.ltd/hacker-challenge-eula).

</div>

Hacker challenge works as a cluster that anybody can join. To join a cluster, all you
need is to run the DeTEE Hacker Challenge Node (sometimes we also call it **DTHC**).\
DTHC is a docker image that you can start using:

```bash
docker run --device /dev/sgx/enclave --device /dev/sgx/provision \
           -v /tmp/dthc:/challenge/main -p 80:31372 -p 31373:31373 -d \
           --env INIT_NODES="212.95.45.139 46.165.199.12 184.107.183.210" \
           --name dthc detee/hacker-challenge:latest
```

After your node has started, feel free to start exploring logs:
```bash
docker logs -f dthc
```

> - docker devices give node the access to the SGX functionality
> - `INIT_NODES` are real IP addresses of currently running nodes that host the key
> - in the `/tmp/dthc` you will find the files with node metrics and Solana keys
> - if your IP is public, expose port 31373 so that other nodes can connect to you
> - use the node as `http://localhost:80/mint?address=...` to mint DTHC tokens

<script type="text/javascript" id="hcb" src="/js/comments.js"></script><div id="HCB_comment_box"></div><link rel="stylesheet" type="text/css" href="/css/comments.css"/>
